ResourceAuxLogPojo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.ResourceAuxLogPojo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class ResourceAuxLogPojo

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.server.session.ResourceAuxLogPojo

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceAuxLogPojo

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `ResourceAuxLogPojo()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`GalertDef` | `getAlertDef()`
`protected int` | `getAppdefId()`
`protected int` | `getAppdefType()`
`GalertAuxLog` | `getAuxLog()`
`AppdefEntityID` | `getEntityId()`
`AlertAuxLogProvider` | `getProvider()`
`int` | `hashCode()`
`protected void` | `setAlertDef(GalertDef def)`
`protected void` | `setAppdefId(int appdefId)`
`protected void` | `setAppdefType(int appdefType)`
`protected void` | `setAuxLog(GalertAuxLog log)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceAuxLogPojo

    protected ResourceAuxLogPojo()

Method Detail

### getAuxLog

    public GalertAuxLog getAuxLog()

### setAuxLog

    protected void setAuxLog(GalertAuxLog log)

### getAppdefType

    protected int getAppdefType()

### setAppdefType

    protected void setAppdefType(int appdefType)

### getAppdefId

    protected int getAppdefId()

### setAppdefId

    protected void setAppdefId(int appdefId)

### getEntityId

    public AppdefEntityID getEntityId()

### getAlertDef

    public GalertDef getAlertDef()

### setAlertDef

    protected void setAlertDef(GalertDef def)

### getProvider

    public AlertAuxLogProvider getProvider()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.